For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a List of Available Currencies

Get the enabled currencies set by the merchant

get

This API endpoint retrieves a list of all enabled cryptocurrencies and tokens for the merchant. The response includes detailed information about each supported currency, including network details, token addresses, and visual assets for UI display.

Responses
200

List of supported tokens

application/json

List of supported currencies/tokens

get/v1/merchant/currencies
GET /v1/merchant/currencies HTTP/1.1
Host: gateway.stage.pay.io
Accept: */*
{
  "currencies": [
    {
      "currency_code": "SOL",
      "currency_icon": "https://cdn.hub88.io/hub-wallet/SOL-ic.svg",
      "id": "1270e0a2-593b-5272-8c0e-90ba5552d921",
      "name": "SOL",
      "network": "Solana",
      "network_icon": "https://cdn.hub88.io/hub-wallet/SOL-ic.svg",
      "network_l1": null,
      "symbol": "◎",
      "token_address": null
    },
    {
      "currency_code": "USDC",
      "currency_icon": "https://cdn.hub88.io/hub-wallet/USDC-ic.svg",
      "id": "990cd2f7-b169-5665-b0e1-05cc46ae4209",
      "name": "USDC",
      "network": "Base Chain",
      "network_icon": "https://cdn.hub88.io/hub-wallet/BASE-ic.svg",
      "network_l1": "Ethereum",
      "symbol": "$",
      "token_address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"
    },
    {
      "currency_code": "USDT",
      "currency_icon": "https://cdn.hub88.io/hub-wallet/USDT-ic.svg",
      "id": "e36a7ed9-6a4e-510b-961d-e57f00a3c966",
      "name": "USDT",
      "network": "Base Chain",
      "network_icon": "https://cdn.hub88.io/hub-wallet/BASE-ic.svg",
      "network_l1": "Ethereum",
      "symbol": "₮",
      "token_address": "0x50c5725949A6F0c72E6C4a641F24049A917DB0Cb"
    }
  ]
}

Last updated